Add an account to a beneficiary
curl --request POST \
--url https://api.qbank.cl/platform/v1/banking/counterparties/{counterpartyID}/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currencyCode": "USD",
"fiat": {
"number": "0532013001",
"routingNumber": 11000138,
"additionalInformation": {
"type": "TYPE_FIAT_US",
"accountType": "SAVINGS",
"supportedRails": [
"ACH"
]
}
}
}
'import requests
url = "https://api.qbank.cl/platform/v1/banking/counterparties/{counterpartyID}/accounts"
payload = {
"currencyCode": "USD",
"fiat": {
"number": "0532013001",
"routingNumber": 11000138,
"additionalInformation": {
"type": "TYPE_FIAT_US",
"accountType": "SAVINGS",
"supportedRails": ["ACH"]
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currencyCode: 'USD',
fiat: {
number: '0532013001',
routingNumber: 11000138,
additionalInformation: {type: 'TYPE_FIAT_US', accountType: 'SAVINGS', supportedRails: ['ACH']}
}
})
};
fetch('https://api.qbank.cl/platform/v1/banking/counterparties/{counterpartyID}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"counterparty_id": "b2c3d4e5-f6a7-b8c9-d0e1-f2a3b4c5d6e7",
"data": {
"status": "MODERATION"
}
}{
"error": "unauthorized",
"message": "invalid or missing credentials"
}{
"error": "not_found",
"message": "resource not found"
}{
"error": {
"code": "banking_request_failed",
"message": "request rejected"
}
}Add an account to a beneficiary
POST
/
v1
/
banking
/
counterparties
/
{counterpartyID}
/
accounts
Add an account to a beneficiary
Authorizations
Session JWT (from register/login) or API key (pk_...).
X-API-Key: <token> is accepted as an alternative header.
Path Parameters
Body
application/json
The body is of type object.
Response
Account attached (pending moderation).
The response is of type object.
Last modified on July 18, 2026
⌘I